config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/opensc.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/lib64 ; rm -rf libopensc.so )
( cd usr/lib64 ; ln -sf libopensc.so.8.1.0 libopensc.so )
( cd usr/lib64 ; rm -rf libopensc.so.8 )
( cd usr/lib64 ; ln -sf libopensc.so.8.1.0 libopensc.so.8 )
( cd usr/lib64 ; rm -rf libsmm-local.so )
( cd usr/lib64 ; ln -sf libsmm-local.so.8.1.0 libsmm-local.so )
( cd usr/lib64 ; rm -rf libsmm-local.so.8 )
( cd usr/lib64 ; ln -sf libsmm-local.so.8.1.0 libsmm-local.so.8 )
( cd usr/lib64/pkcs11 ; rm -rf onepin-opensc-pkcs11.so )
( cd usr/lib64/pkcs11 ; ln -sf ../onepin-opensc-pkcs11.so onepin-opensc-pkcs11.so )
( cd usr/lib64/pkcs11 ; rm -rf opensc-pkcs11.so )
( cd usr/lib64/pkcs11 ; ln -sf ../opensc-pkcs11.so opensc-pkcs11.so )
( cd usr/lib64/pkcs11 ; rm -rf pkcs11-spy.so )
( cd usr/lib64/pkcs11 ; ln -sf ../pkcs11-spy.so pkcs11-spy.so )
